apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: nginx-dr
  name: nginx-deployment
spec:
  selector:
    matchLabels:
      app: nginx
  replicas: 3
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: harbor-azure.wistron.com/azure-rehearsal/nginx@sha256:96a447b9474aff02d4e3b642f5fdb10ff7ff25d409e8132e536c71f494f59617
        imagePullPolicy: Always
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: harbor-azure
      restartPolicy: Always
